
/*********************************************************************
****                ESCHER Next Generation - Shapes               ****
**** (c) 1997-2006, G. Ausiello, G. Cesareni, M. Helmer Citterich ****
****               NG version by Alessandro Pedretti              ****
*********************************************************************/


#ifndef __ES_SHAPES
#  define  __ES_SHAPES

/**** Definitions ****/

typedef struct {
  float         tx, ty, az;
  int           val, n;
} ES_CUBE;

/**** Prototypes ****/

ES_BOOL ShapeAnalyze(struct Proteina *, struct Proteina *, ES_SOLUTIONS *);
void    FreeDock(void);
ES_BOOL InitDock(struct surf *, struct surf *, float, ES_SOLUTIONS *);

#endif
